# class FileRequest

#### package js.html.idb

#### extends DOMRequest › EventTarget

Available on HTML5

### Variables

###

`read onlyfileHandle:FileHandle`

###

`read onlylockedFile:FileHandle`

###

`onprogress:Function`

### Inherited Variables

#### Defined by DOMRequest

###

`read onlyerror:DOMError`

###

`onerror:Function`

###

`onsuccess:Function`

###

`read onlyreadyState:DOMRequestReadyState`

###

`read onlyresult:Dynamic`

### Inherited Methods

#### Defined by DOMRequest

###

`then (?fulfillCallback:Function, ?rejectCallback:Function):Dynamic`

Throws:

`null` | DOMError

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError